Complete a one-click DNS return

Consumes the Domain Connect provider's redirect. Validates the signed state and, when the DNS provider reports success, starts checking the domain's records.

POST
/v1/email/domains/{id}/domain-connect/complete

Consumes the Domain Connect provider's redirect. Validates the signed state and, when the DNS provider reports success, starts checking the domain's records. A DNS provider error is reported separately from a customer cancelling setup.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Match^dom_[0-9a-hjkmnp-tv-z]{16,24}$

Request Body

application/json
  1. body
state*string
error?string|null
errorDescription?string|null

Response Body

DomainConnectCompleteResult

application/json
  1. response
status*string
Value in"applied""cancelled""failed""invalid"
Example Request
import { createClient } from "samva";const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });const result = await samva.email.completeDomainConnect({  "id": "example",  "state": "example"});
Example Response
{  "status": "applied"}

Related documentation